package cd.casic.ci.process.process.service.testCase;


import cd.casic.ci.process.dto.req.testCase.TestCaseInfoQueryReq;
import cd.casic.ci.process.dto.req.testCase.TestCaseInfoReq;
import cd.casic.ci.process.dto.resp.testCase.TestCaseInfoResp;
import cd.casic.ci.process.process.dataObject.testCase.TestCaseInfo;
import cd.casic.framework.commons.pojo.PageResult;
import com.baomidou.mybatisplus.extension.service.IService;
import jakarta.validation.Valid;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName PipelineService
 * @Date: 2025/5/13 10:27
 * @Description:
 */
public interface TestCaseInfoService extends IService<TestCaseInfo> {

    String create(@Valid TestCaseInfoReq req);

    void delete(String id);

    void updateTestCaseInfo(@Valid TestCaseInfoReq req);

    List<TestCaseInfoResp> findList(@Valid TestCaseInfoQueryReq query);

    PageResult<TestCaseInfoResp> findPage(@Valid TestCaseInfoQueryReq query);

    TestCaseInfoResp findById(String id);

    List<String> findFileTypeList();
    List<TestCaseInfoResp> findByManagerIds(List<String> idList);
    String checkTestCaseExist(MultipartFile file);
}
